OpenSC 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1292881 漏洞类型 缓冲区错误
发布时间 2018-09-04 更新时间 2019-09-12
CVE编号 CVE-2018-16420 CNNVD-ID CNNVD-201809-087
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201809-087
|漏洞详情
OpenSC是一款开源的智能卡工具和中间件。 OpenSC 0.19.0-rc1之前版本中的libopensc/card-epass2003.c文件的‘decrypt_response’函数存在缓冲区溢出漏洞。攻击者可借助特制的智能卡利用该漏洞造成拒绝服务(应用程序崩溃)。
|参考资料

来源:github.com

链接:https://github.com/OpenSC/OpenSC/commit/360e95d45ac4123255a4c796db96337f332160ad#diff-b36536074d13447fbbec061e0e64d15d


来源:github.com

链接:https://github.com/OpenSC/OpenSC/releases/tag/0.19.0-rc1


来源:www.x41-dsec.de

链接:https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/